#include <bits/stdc++.h>

using namespace std;

int main() {
    long long n, m, k, l, ans = -1;
    scanf("%lld%lld%lld%lld", &n, &m, &k, &l);
    if (m <= n && k + l <= n) {
        ans = (l + k + m - 1) / m;
        if (ans * m > n) ans = -1;
    }
    printf("%lld", ans);
    return 0;
}